Package: org.grails.build.logging

## [Java] Class GrailsConsoleBuildListener

- org.grails.build.logging.GrailsConsoleBuildListener

- All Implemented Interfaces and Traits:
    org.apache.tools.ant.BuildListener

      public class GrailsConsoleBuildListener
      extends java.lang.Object

  Mainly silences a lot of redundant Ant output.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsConsoleBuildListener ()`
    `GrailsConsoleBuildListener (GrailsConsole ui)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `buildFinished(org.apache.tools.ant.BuildEvent finish)`
    `` | `void` | `buildStarted(org.apache.tools.ant.BuildEvent start)`
    `` | `void` | `messageLogged(org.apache.tools.ant.BuildEvent event)`
    `` | `void` | `targetFinished(org.apache.tools.ant.BuildEvent finish)`
    `` | `void` | `targetStarted(org.apache.tools.ant.BuildEvent start)`
    `` | `void` | `taskFinished(org.apache.tools.ant.BuildEvent finish)`
    `` | `void` | `taskStarted(org.apache.tools.ant.BuildEvent start)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsConsoleBuildListener()

    - #### public GrailsConsoleBuildListener(GrailsConsole ui)

  - ### Method Detail

    - #### public final void buildFinished(org.apache.tools.ant.BuildEvent finish)

      Signals that the last target has finished. This event will still be fired if an error occurred during the build.

      Parameters:
        `finish` - An event with any relevant extra information. Must not be `null`.
      See Also:
        org.apache.tools.ant.BuildEvent#getException()

    - #### public final void buildStarted(org.apache.tools.ant.BuildEvent start)

      Signals that a build has started. This event is fired before any targets have started.

      Parameters:
        `start` - An event with any relevant extra information. Must not be `null`.

    - #### public void messageLogged(org.apache.tools.ant.BuildEvent event)

      When a message is sent to this logger, Ant calls this method.

      Parameters:
        `event` - An event with any relevant extra information. Must not be `null`.
      See Also:
        org.apache.tools.ant.BuildEvent#getMessage()
        org.apache.tools.ant.BuildEvent#getPriority()

    - #### public final void targetFinished(org.apache.tools.ant.BuildEvent finish)

      Signals that a target has finished. This event will still be fired if an error occurred during the build.

      Parameters:
        `finish` - An event with any relevant extra information. Must not be `null`.
      See Also:
        org.apache.tools.ant.BuildEvent#getException()

    - #### public final void targetStarted(org.apache.tools.ant.BuildEvent start)

      Signals that a target is starting.

      Parameters:
        `start` - An event with any relevant extra information. Must not be `null`.
      See Also:
        org.apache.tools.ant.BuildEvent#getTarget()

    - #### public final void taskFinished(org.apache.tools.ant.BuildEvent finish)

      Signals that a task has finished. This event will still be fired if an error occurred during the build.

      Parameters:
        `finish` - An event with any relevant extra information. Must not be `null`.
      See Also:
        org.apache.tools.ant.BuildEvent#getException()

    - #### public final void taskStarted(org.apache.tools.ant.BuildEvent start)

      Signals that a task is starting.

      Parameters:
        `start` - An event with any relevant extra information. Must not be `null`.
      See Also:
        org.apache.tools.ant.BuildEvent#getTask()